Not logged in. · Lost password · Register
Forum: Non-English Discussion German discussion RSS
[gelöst] LaTeX plugin bringt Fehlermeldung
Page:  previous  1  2  3  4  next 
Avatar
eve #31
Member for 3 months · 27 posts
Group memberships: Members
Show profile · Link to this post
In reply to post ID 66185
Quote by cziehr:
geht auch
sudo apt install mimetex
Versuche das bitte nochmal.

Ergebnis:
sudo: apt: command not found


Quote by Michaelsy:
Ich frage mich gerade, wie es erst funktionieren konnte und dann doch wieder nicht  :huh:
Das hat bei mir noch nie funktioniert.

Grüße
eve
Avatar
Michaelsy #32
Member since Jun 2015 · 969 posts · Location: Düsseldorf, Germany
Group memberships: Members
Show profile · Link to this post
In reply to post ID 66187
Quote by cziehr:
Weil es bei Annel auf Anhieb funktioniert hat und bei eve nicht ;-)
Klingt plausibel...  :nuts:
By Patreon.com a few eurons can be fed into the code phasers of
the DokuWiki engine. Besides, Andi's posts are worth reading.
Avatar
cziehr #33
Member since Jan 2011 · 591 posts · Location: 10119 Berlin
Group memberships: Members
Show profile · Link to this post
In reply to post #31
Quote by eve:
Ergebnis:
sudo: apt: command not found

Ich hatte kurz zur Synology gegoogelt und mehrfach gefunden dass jemand den "sudo apt-get install"-Befehl zur Installation benutzt hat (so wie er z.B. auch in Debian oder Ubuntu verwendet wird), von daher war ich davon ausgegangen dass dieser grundsätzlich funktioniert. Aber anscheinend geht das dann doch nicht standardmäßig.

Bitte wende Dich an ein Synology-Forum um zu erfahren wie Du eigene Pakete nachinstallieren kannst, zumindest ich kann dabei leider nicht weiterhelfen, ich hatte mit Synology noch nichts zu tun.
Avatar
Michaelsy #34
Member since Jun 2015 · 969 posts · Location: Düsseldorf, Germany
Group memberships: Members
Show profile · Link to this post
In reply to post #31
Quote by eve:
Ergebnis:
sudo: apt: command not found

Ich hatte schon befürchtet, dass du irgendwann einmal mit deiner Synology auf solch ein Problem stoßen könntest. Das war dann auch der Grund, warum ich zur Stick-Version geraten hatte (auch wenn dieser Spruch nun vielleicht etwas altklug daherkommen mag).

Ein anderer Knackpunkt könnte das Upgrade-Plugin sein:
https://www.dokuwiki.org/plugin:upgrade

Check doch mal, ob das bei dir funktioniert, wenn du es nicht schon getan hast.
By Patreon.com a few eurons can be fed into the code phasers of
the DokuWiki engine. Besides, Andi's posts are worth reading.
This post was edited on 2019-05-21, 15:05 by Michaelsy.
Avatar
cziehr #35
Member since Jan 2011 · 591 posts · Location: 10119 Berlin
Group memberships: Members
Show profile · Link to this post
Quote by Michaelsy:
Ein anderer Knackpunkt könnte das Upgrade-Plugin sein:
https://www.dokuwiki.org/plugin:upgrade

Wie kann denn das Upgrade-Plugin helfen ein Software-Paket im Betriebssystem zu installieren (oder stehe ich jetzt gerade auf dem Schlauch)?
Avatar
Michaelsy #36
Member since Jun 2015 · 969 posts · Location: Düsseldorf, Germany
Group memberships: Members
Show profile · Link to this post
Wie kann denn das Upgrade-Plugin helfen ein Software-Paket im Betriebssystem zu installieren
Nein, das geht natürlich nicht.

Was ich damit sagen wollte: Es gibt da noch etwas an deiner Synology-DokuWiki-Installation, was ein potentieller Kandidat für Probleme sein könnte. Es macht ja keinen Sinn, sich an einer Stelle mühsam durchzubeißen, um dann festzustellen, dass dann das nächste auch gleich wieder nicht funktioniert. Ich wollte damit einfach einer allzu großen Frustration entgegentreten.
By Patreon.com a few eurons can be fed into the code phasers of
the DokuWiki engine. Besides, Andi's posts are worth reading.
This post was edited on 2019-05-21, 15:21 by Michaelsy.
Avatar
cziehr #37
Member since Jan 2011 · 591 posts · Location: 10119 Berlin
Group memberships: Members
Show profile · Link to this post
Achso, ja das stimmt natürlich.

Ich habe einen Bekannten, der hat versucht sich Nextcloud auf seiner Synology zu installieren. Es gab zwar ein fertiges Owncloud-Paket (der Vorgänger von Nextcloud), aber das war von den verfügbaren Aktualisierungen Jahre hinter dem aktuellen Stand. Er hat dann versucht Nextcloud manuell einzurichten, das hat Wochen gedauert bis alles lief. Wenn man ein paar individuelle Wünsche hat die über den Standard hinausgehen wird das bei der Synology wohl schnell kompliziert. Soweit ich weiß musste bei meinem Bekannten dann noch einiges im Betriebssystem rumgepfuscht werden usw.
Ich dachte dass man vielleicht wenigstens die normalen Linux-Pakete per Kommandozeile installieren kann, aber selbst das war wohl schon zu viel...
Avatar
Annel #38
Member since Apr 2019 · 56 posts · Location: Berlin / Fuyang bei Hangzhou
Group memberships: Members
Show profile · Link to this post
In reply to post ID 66177
Quote by cziehr:
die Lösung des Problems steht eigentlich schon in der Fehlermeldung selbst drin, das muss man aber wissen :-)

Das ist meisstens so, nur wenn man -NULL Ahnung hat, hilft das nicht. Ich brauche Latex nicht, wollte Eve nur helfen, weil ich grad Zeit habe und so am Besten dazu lerne.

latexinc.php habe ich geändert, wie Du beschrieben hast. DokuWiki, in der "XAMPP-Installation" (PHP 7.3.3.), war dann nicht mehr zu erreichen.  (_(:))

Parse error: syntax error, unexpected '::' (T_PAAMAYIM_NEKUDOTAYIM), expecting '(' in E:\..\plugins\latex\latexinc.php on line 68

Ich hab etwas mit den Doppelpunkten gespielt, brachte aber nichts.

dollar.ph war auf "github" beschrieben und hatte ich schon geändert.

DokuWiki, in der "Stick-Version" (PHP 5, Apache 2.4), ist hier und jetzt zwar obsolet, aber interessant schon, dass hier keinerlei Fehler bzw. Warnungen mehr gemeldet werden. Allerdings wird immer noch "LaTex render failed" gemeldet.

Wie gesagt, ich brauche das Plugin nicht und Eves Probleme scheinen doch umfangreicher zu sein. Was mich nur interessiert hätte ist, ob das "Mimetex-Plugin" nicht auch "gut genug" wäre. Bei mir lief es auf beiden Installationen promt und fehlerfrei. Ich denke die Fehlersuche geht schneller mit einem Plugin, das, zumindest keine Fehlermeldungen zeigt und aus dem Stand läuft, als mit einem, das man erst umstricken muss und man am Ende doch nicht weiss, warum was nicht funktioniert.

Viele Grüsse
  Anne
Avatar
Annel #39
Member since Apr 2019 · 56 posts · Location: Berlin / Fuyang bei Hangzhou
Group memberships: Members
Show profile · Link to this post
In reply to post ID 66186
Quote by Michaelsy:
Quote by Annel:
Auf jedenfall funktionierte es mit dem Beispiel auf Anhieb..

Mit dem Mimetex Plugin bekomme ich jetzt anstelle einer Formel die folgende Fehlermeldung angezeigt:
**ERROR RENDERING LATEX**:
could not locate 'mimetex' command

Ich frage mich gerade, wie es erst funktionieren konnte und dann doch wieder nicht  :huh:

Da zweite Quote kam nicht von mir.
Avatar
eve #40
Member for 3 months · 27 posts
Group memberships: Members
Show profile · Link to this post
In reply to post #34
Quote by Michaelsy:
Ein anderer Knackpunkt könnte das Upgrade-Plugin sein:
https://www.dokuwiki.org/plugin:upgrade
Das habe ich gar nicht installiert. Brauche ich das unbedingt?

Das war dann auch der Grund, warum ich zur Stick-Version geraten hatte
Aber mit der Stick-Version habe ich doch dann auch wieder das Problem, wie ich das auf der Synology installiert bekomme.
Avatar
cziehr #41
Member since Jan 2011 · 591 posts · Location: 10119 Berlin
Group memberships: Members
Show profile · Link to this post
Quote by eve:
Quote by Michaelsy:
Ein anderer Knackpunkt könnte das Upgrade-Plugin sein:
https://www.dokuwiki.org/plugin:upgrade
Das habe ich gar nicht installiert. Brauche ich das unbedingt?

Man braucht es nicht, aber es ist der mit Abstand komfortabelste Weg eine DokuWiki-Aktualisierung zu installieren.
Avatar
Annel #42
Member since Apr 2019 · 56 posts · Location: Berlin / Fuyang bei Hangzhou
Group memberships: Members
Show profile · Link to this post
In reply to post #34
Quote by Michaelsy:
Ich hatte schon befürchtet, dass du irgendwann einmal mit deiner Synology auf solch ein Problem stoßen könntest. Das war dann auch der Grund, warum ich zur Stick-Version geraten hatte (auch wenn dieser Spruch nun vielleicht etwas altklug daherkommen mag).

Ich möchte nicht OT werden, aber sollte es soweit kommen, dass auf Linux verzichtet wird, kann ich die Installation auf XAMPP nur empfehlen. Meine beiden Installationen laufen auf der selben, externen, Platte. XAMPP ist um ein vielfaches schneller als der ""Stick-Server""". 

Eve hat inzwischen geschrieben:

Quote by eve:
Aber mit der Stick-Version habe ich doch dann auch wieder das Problem, wie ich das auf der Synology installiert bekomme.

Garantiert bekommst Du keine Probleme.
Avatar
eve #43
Member for 3 months · 27 posts
Group memberships: Members
Show profile · Link to this post
In reply to post #41
Bei der Synology werden die Pakete automatisch aktualisiert, wenn eine neue Version verfügbar ist. Also hoffe ich, dass das kein Problem sein wird.
Avatar
pop #44
Member since Nov 2016 · 170 posts
Group memberships: Members
Show profile · Link to this post
In reply to post #40
Das Upgrade-Plugin funktioniert auf meinen zwei Synology-Servern. Apt scheint nicht installiert zu sein.
Avatar
eve #45
Member for 3 months · 27 posts
Group memberships: Members
Show profile · Link to this post
Quote by Annel:
Quote by eve:
Aber mit der Stick-Version habe ich doch dann auch wieder das Problem, wie ich das auf der Synology installiert bekomme.
Garantiert bekommst Du keine Probleme.

Damit meinte ich, wie soll ich das auf der Synology installieren bekommen, wenn es schon nicht mit der Installation von Mimetex funktioniert hat.
Close Smaller – Larger + Reply to this post:
Verification code: VeriCode Please enter the word from the image into the text field below. (Type the letters only, lower case is okay.)
Smileys: :-) ;-) :-D :-p :blush: :cool: :rolleyes: :huh: :-/ <_< :-( :'( :#: :scared: 8-( :nuts: :-O
Special characters:
Page:  previous  1  2  3  4  next 
Go to forum
Imprint
This board is powered by the Unclassified NewsBoard software, 20150713-dev, © 2003-2015 by Yves Goergen
Current time: 2019-08-21, 06:57:28 (UTC +02:00)